{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.ump-testing.auknem.ru/competencymanager","description":"Generated server url"}],"paths":{"/api/v1/user-competency/{id}":{"get":{"tags":["user-competency-controller"],"operationId":"getUserCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseUserCompetency"}}}}}},"put":{"tags":["user-competency-controller"],"operationId":"putUserCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestUserCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseUserCompetency"}}}}}},"post":{"tags":["user-competency-controller"],"operationId":"postUserCompetencyWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestUserCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseUserCompetency"}}}}}},"delete":{"tags":["user-competency-controller"],"operationId":"deleteUserCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseUserCompetency"}}}}}}},"/api/v1/skill-level/{id}":{"get":{"tags":["skill-level-controller"],"operationId":"getSkillLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseSkillLevel"}}}}}},"put":{"tags":["skill-level-controller"],"operationId":"putSkillLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestSkillLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseSkillLevel"}}}}}},"post":{"tags":["skill-level-controller"],"operationId":"postSkillLevelWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestSkillLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseSkillLevel"}}}}}},"delete":{"tags":["skill-level-controller"],"operationId":"deleteSkillLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseSkillLevel"}}}}}}},"/api/v1/resume/{id}":{"get":{"tags":["resume-controller"],"operationId":"getResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseResume"}}}}}},"put":{"tags":["resume-controller"],"operationId":"putResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseResume"}}}}}},"post":{"tags":["resume-controller"],"operationId":"postResumeWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseResume"}}}}}},"delete":{"tags":["resume-controller"],"operationId":"deleteResume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseResume"}}}}}}},"/api/v1/resume/{id}/user-competency":{"put":{"tags":["resume-controller"],"operationId":"putUserCompetencyList","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseUserCompetency"}}}}}},"post":{"tags":["resume-controller"],"operationId":"postUserCompetencyList","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseUserCompetency"}}}}}},"delete":{"tags":["resume-controller"],"operationId":"deleteUserCompetencyList","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}},"/api/v1/profession/{id}":{"get":{"tags":["profession-controller"],"operationId":"getProfession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseProfession"}}}}}},"put":{"tags":["profession-controller"],"operationId":"putProfession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestProfession"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseProfession"}}}}}},"post":{"tags":["profession-controller"],"operationId":"postProfessionWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestProfession"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseProfession"}}}}}},"delete":{"tags":["profession-controller"],"operationId":"deleteProfession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseProfession"}}}}}}},"/api/v1/knowledge-level/{id}":{"get":{"tags":["knowledge-level-controller"],"operationId":"getKnowledgeLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseKnowledgeLevel"}}}}}},"put":{"tags":["knowledge-level-controller"],"operationId":"putKnowledgeLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestKnowledgeLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseKnowledgeLevel"}}}}}},"post":{"tags":["knowledge-level-controller"],"operationId":"postKnowledgeLevelWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestKnowledgeLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseKnowledgeLevel"}}}}}},"delete":{"tags":["knowledge-level-controller"],"operationId":"deleteKnowledgeLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseKnowledgeLevel"}}}}}}},"/api/v1/job-title/{id}":{"get":{"tags":["job-title-controller"],"operationId":"getJobTitle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobTitle"}}}}}},"put":{"tags":["job-title-controller"],"operationId":"putJobTitle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobTitle"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobTitle"}}}}}},"post":{"tags":["job-title-controller"],"operationId":"postJobTitleWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobTitle"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobTitle"}}}}}},"delete":{"tags":["job-title-controller"],"operationId":"deleteJobTitle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobTitle"}}}}}}},"/api/v1/job-role/{id}":{"get":{"tags":["job-role-controller"],"operationId":"getJobRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobRole"}}}}}},"put":{"tags":["job-role-controller"],"operationId":"putJobRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobRole"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobRole"}}}}}},"post":{"tags":["job-role-controller"],"operationId":"postJobRoleWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobRole"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobRole"}}}}}},"delete":{"tags":["job-role-controller"],"operationId":"deleteJobRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobRole"}}}}}}},"/api/v1/job-competency/{id}":{"get":{"tags":["job-competency-controller"],"operationId":"getJobCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobCompetency"}}}}}},"put":{"tags":["job-competency-controller"],"operationId":"putJobCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobCompetency"}}}}}},"post":{"tags":["job-competency-controller"],"operationId":"postJobCompetencyWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobCompetency"}}}}}},"delete":{"tags":["job-competency-controller"],"operationId":"deleteJobCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobCompetency"}}}}}}},"/api/v1/experience-level/{id}":{"get":{"tags":["experience-level-controller"],"operationId":"getExperienceLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseExperienceLevel"}}}}}},"put":{"tags":["experience-level-controller"],"operationId":"putExperienceLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestExperienceLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseExperienceLevel"}}}}}},"post":{"tags":["experience-level-controller"],"operationId":"postExperienceLevelWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestExperienceLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseExperienceLevel"}}}}}},"delete":{"tags":["experience-level-controller"],"operationId":"deleteExperienceLevel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseExperienceLevel"}}}}}}},"/api/v1/competency/{id}":{"get":{"tags":["competency-controller"],"operationId":"getCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetency"}}}}}},"put":{"tags":["competency-controller"],"operationId":"putCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetency"}}}}}},"post":{"tags":["competency-controller"],"operationId":"postCompetencyWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetency"}}}}}},"delete":{"tags":["competency-controller"],"operationId":"deleteCompetency","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetency"}}}}}}},"/api/v1/competency-category/{id}":{"get":{"tags":["competency-category-controller"],"operationId":"getCompetencyCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"with-children","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}},"put":{"tags":["competency-category-controller"],"operationId":"putCompetencyCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestBaseCompetencyCategory"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}},"post":{"tags":["competency-category-controller"],"operationId":"postCompetencyCategoryWithId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestBaseCompetencyCategory"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}},"delete":{"tags":["competency-category-controller"],"operationId":"deleteCompetencyCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recursive","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}},"patch":{"tags":["competency-category-controller"],"operationId":"patchCompetencyCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestMapStringObject"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}}},"/api/v1/user-competency":{"get":{"tags":["user-competency-controller"],"operationId":"findUserCompetency","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseUserCompetency"}}}}}},"post":{"tags":["user-competency-controller"],"operationId":"postUserCompetency","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestUserCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseUserCompetency"}}}}}}},"/api/v1/skill-level":{"get":{"tags":["skill-level-controller"],"operationId":"findSkillLevel","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseSkillLevel"}}}}}},"post":{"tags":["skill-level-controller"],"operationId":"postSkillLevel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestSkillLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseSkillLevel"}}}}}}},"/api/v1/resume":{"get":{"tags":["resume-controller"],"operationId":"findResume","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseResume"}}}}}},"post":{"tags":["resume-controller"],"operationId":"postResume","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestResume"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseResume"}}}}}}},"/api/v1/resume/score":{"post":{"tags":["resume-controller"],"operationId":"score","parameters":[{"name":"tenantId","in":"query","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListRequestNlpSourceText"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseNlpEntity"}}}}}}},"/api/v1/profession":{"get":{"tags":["profession-controller"],"operationId":"findProfession","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseProfession"}}}}}},"post":{"tags":["profession-controller"],"operationId":"postProfession","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestProfession"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseProfession"}}}}}}},"/api/v1/nlp/resource/{tenantId}/entity-ruler":{"post":{"tags":["nlp-resource-controller"],"operationId":"createNlpResourceEntityRuler","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}},"/api/v1/knowledge-level":{"get":{"tags":["knowledge-level-controller"],"operationId":"findKnowledgeLevel","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseKnowledgeLevel"}}}}}},"post":{"tags":["knowledge-level-controller"],"operationId":"postKnowledgeLevel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestKnowledgeLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseKnowledgeLevel"}}}}}}},"/api/v1/job-title":{"get":{"tags":["job-title-controller"],"operationId":"findJobTitle","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseJobTitle"}}}}}},"post":{"tags":["job-title-controller"],"operationId":"postJobTitle","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobTitle"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobTitle"}}}}}}},"/api/v1/job-role":{"get":{"tags":["job-role-controller"],"operationId":"findJobRole","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseJobRole"}}}}}},"post":{"tags":["job-role-controller"],"operationId":"postJobRole","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobRole"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobRole"}}}}}}},"/api/v1/job-competency":{"get":{"tags":["job-competency-controller"],"operationId":"findJobCompetency","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseJobCompetency"}}}}}},"post":{"tags":["job-competency-controller"],"operationId":"postJobCompetency","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestJobCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseJobCompetency"}}}}}}},"/api/v1/experience-level":{"get":{"tags":["experience-level-controller"],"operationId":"findExperienceLevel","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseExperienceLevel"}}}}}},"post":{"tags":["experience-level-controller"],"operationId":"postExperienceLevel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestExperienceLevel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseExperienceLevel"}}}}}}},"/api/v1/competency":{"get":{"tags":["competency-controller"],"operationId":"findCompetency","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseCompetency"}}}}}},"post":{"tags":["competency-controller"],"operationId":"postCompetency","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestCompetency"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetency"}}}}}}},"/api/v1/competency-category":{"get":{"tags":["competency-category-controller"],"operationId":"findCompetencyCategory","parameters":[{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"filters","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ListResponseCompetencyCategory"}}}}}},"post":{"tags":["competency-category-controller"],"operationId":"postCompetencyCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataRequestBaseCompetencyCategory"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseCompetencyCategory"}}}}}}},"/doc":{"get":{"tags":["doc-controller"],"operationId":"viewDoc","responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string","format":"binary"}}}}}}}},"components":{"schemas":{"CatalogAlias":{"required":["language","name","regex"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"language":{"type":"string","enum":["ru","en"]},"regex":{"type":"boolean"}}},"Competency":{"required":["competencyCategory","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"description":{"type":"string"},"competencyCategory":{"$ref":"#/components/schemas/CompetencyCategory"},"knowledgeLevel":{"$ref":"#/components/schemas/KnowledgeLevel"},"skillLevel":{"$ref":"#/components/schemas/SkillLevel"},"experienceLevel":{"$ref":"#/components/schemas/ExperienceLevel"},"actualExperience":{"type":"integer","format":"int32"},"ownerUserId":{"type":"string","format":"uuid"}}},"CompetencyCategory":{"required":["name","section","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"section":{"type":"boolean"},"parentId":{"type":"string","format":"uuid"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CatalogAlias"}},"rootId":{"type":"string","format":"uuid"},"level":{"type":"integer","format":"int32"},"children":{"type":"array","items":{"$ref":"#/components/schemas/CompetencyCategory"}}}},"DataRequestUserCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/UserCompetency"}}},"ExperienceLevel":{"required":["level","name","possessionDescription","requirementsDescription","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"level":{"type":"integer","format":"int32"},"requirementsDescription":{"type":"string"},"possessionDescription":{"type":"string"},"minMonths":{"type":"integer","format":"int32"},"maxMonths":{"type":"integer","format":"int32"}}},"KnowledgeLevel":{"required":["level","name","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"level":{"type":"integer","format":"int32"}}},"Session":{"type":"object","properties":{"id":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"tenantId":{"type":"string","format":"uuid"},"applicationId":{"type":"string","format":"uuid"},"channelId":{"type":"string","format":"uuid"},"userId":{"type":"string"}}},"SkillLevel":{"required":["level","name","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"level":{"type":"integer","format":"int32"}}},"UserCompetency":{"required":["competency","tenantId","userId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"competency":{"$ref":"#/components/schemas/Competency"},"userId":{"type":"string","format":"uuid"},"resumeId":{"type":"string","format":"uuid"}}},"DataResponseUserCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/UserCompetency"}}},"ResponseMessage":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer","format":"int32"}}},"DataRequestSkillLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/SkillLevel"}}},"DataResponseSkillLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/SkillLevel"}}},"DataRequestResume":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/Resume"}}},"JobHistory":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"description":{"type":"string"},"userId":{"type":"string","format":"uuid"},"profession":{"$ref":"#/components/schemas/Profession"},"jobTitle":{"$ref":"#/components/schemas/JobTitle"},"jobRole":{"$ref":"#/components/schemas/JobRole"},"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"},"organization":{"type":"string"},"location":{"type":"string"}}},"JobRole":{"required":["name","professionId","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"professionId":{"type":"string","format":"uuid"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CatalogAlias"}}}},"JobTitle":{"required":["name","professionId","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"professionId":{"type":"string","format":"uuid"},"code":{"type":"string"},"position":{"type":"integer","format":"int32"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CatalogAlias"}}}},"Profession":{"required":["name","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"code":{"type":"string"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CatalogAlias"}}}},"Resume":{"required":["name","tenantId","userId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"userId":{"type":"string","format":"uuid"},"created":{"type":"string","format":"date-time"},"updated":{"type":"string","format":"date-time"},"profession":{"$ref":"#/components/schemas/Profession"},"jobTitle":{"$ref":"#/components/schemas/JobTitle"},"jobRole":{"$ref":"#/components/schemas/JobRole"},"userContacts":{"type":"array","items":{"$ref":"#/components/schemas/UserContact"}},"jobHistories":{"type":"array","items":{"$ref":"#/components/schemas/JobHistory"}}}},"UserContact":{"required":["content","type","userId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"type":{"type":"string","enum":["EMAIL","PHONE","TELEGRAM","SKYPE","LOCATION","OTHER"]},"content":{"type":"string"},"userId":{"type":"string","format":"uuid"}}},"DataResponseResume":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/Resume"}}},"FilterObject":{"type":"object","properties":{"property":{"type":"string"},"value":{"type":"object"},"operator":{"type":"string","enum":["OP_EQUAL","OP_NOT_EQUAL","OP_LESS_THAN","OP_GREATER_THAN","OP_LESS_OR_EQUAL","OP_GREATER_OR_EQUAL","OP_LIKE","OP_ILIKE","OP_NULL","OP_NOT_NULL"]}}},"ListAttributes":{"type":"object","properties":{"size":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"sort":{"type":"string"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/FilterObject"}}}},"ListResponseUserCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultUserCompetency"}}},"ListResultUserCompetency":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/UserCompetency"}}}},"DataRequestProfession":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/Profession"}}},"DataResponseProfession":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/Profession"}}},"DataRequestKnowledgeLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/KnowledgeLevel"}}},"DataResponseKnowledgeLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/KnowledgeLevel"}}},"DataRequestJobTitle":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/JobTitle"}}},"DataResponseJobTitle":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/JobTitle"}}},"DataRequestJobRole":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/JobRole"}}},"DataResponseJobRole":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/JobRole"}}},"DataRequestJobCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/JobCompetency"}}},"JobCompetency":{"required":["competency","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"competency":{"$ref":"#/components/schemas/Competency"},"jobTitle":{"$ref":"#/components/schemas/JobTitle"},"jobRole":{"$ref":"#/components/schemas/JobRole"}}},"DataResponseJobCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/JobCompetency"}}},"DataRequestExperienceLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/ExperienceLevel"}}},"DataResponseExperienceLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/ExperienceLevel"}}},"DataRequestCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/Competency"}}},"DataResponseCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/Competency"}}},"BaseCompetencyCategory":{"required":["name","section","tenantId"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"tenantId":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"section":{"type":"boolean"},"parentId":{"type":"string","format":"uuid"},"aliases":{"type":"array","items":{"$ref":"#/components/schemas/CatalogAlias"}}}},"DataRequestBaseCompetencyCategory":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"$ref":"#/components/schemas/BaseCompetencyCategory"}}},"DataResponseCompetencyCategory":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"data":{"$ref":"#/components/schemas/CompetencyCategory"}}},"ListRequestNlpSourceText":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"list":{"type":"array","items":{"$ref":"#/components/schemas/NlpSourceText"}}}},"NlpSourceText":{"type":"object","properties":{"text":{"type":"string"}}},"ListResponseNlpEntity":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultNlpEntity"}}},"ListResultNlpEntity":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/NlpEntity"}}}},"NlpEntity":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"begin":{"type":"integer","format":"int32"},"end":{"type":"integer","format":"int32"},"result":{"type":"string"},"sentence":{"type":"integer","format":"int32"},"entity":{"type":"string"},"id":{"type":"string","format":"uuid"}}},"Response":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}}}},"DataRequestMapStringObject":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"data":{"type":"object","additionalProperties":{"type":"object"}}}},"ListResponseSkillLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultSkillLevel"}}},"ListResultSkillLevel":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/SkillLevel"}}}},"ListResponseResume":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultResume"}}},"ListResultResume":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/Resume"}}}},"ListResponseProfession":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultProfession"}}},"ListResultProfession":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/Profession"}}}},"ListResponseKnowledgeLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultKnowledgeLevel"}}},"ListResultKnowledgeLevel":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/KnowledgeLevel"}}}},"ListResponseJobTitle":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultJobTitle"}}},"ListResultJobTitle":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/JobTitle"}}}},"ListResponseJobRole":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultJobRole"}}},"ListResultJobRole":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/JobRole"}}}},"ListResponseJobCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultJobCompetency"}}},"ListResultJobCompetency":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/JobCompetency"}}}},"ListResponseExperienceLevel":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultExperienceLevel"}}},"ListResultExperienceLevel":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/ExperienceLevel"}}}},"ListResponseCompetency":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultCompetency"}}},"ListResultCompetency":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/Competency"}}}},"ListResponseCompetencyCategory":{"type":"object","properties":{"session":{"$ref":"#/components/schemas/Session"},"status":{"type":"string","enum":["StatusType.SUCCESSFUL","StatusType.WARNING","StatusType.ERROR"]},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ResponseMessage"}},"listAttributes":{"$ref":"#/components/schemas/ListAttributes"},"listResult":{"$ref":"#/components/schemas/ListResultCompetencyCategory"}}},"ListResultCompetencyCategory":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"},"list":{"type":"array","items":{"$ref":"#/components/schemas/CompetencyCategory"}}}}}}}